Bug 1036977 - (CVE-2017-8343) VUL-1: CVE-2017-8343: ImageMagick: denial of service (memory leak) via a crafted file (ReadAAIImage func in aai.c)
(CVE-2017-8343)
VUL-1: CVE-2017-8343: ImageMagick: denial of service (memory leak) via a craf...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: unspecified
Assigned To: Security Team bot
Security Team bot
CVSSv2:SUSE:CVE-2017-8343:4.3:(AV:N/A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-30 19:51 UTC by Mikhail Kasimov
Modified: 2017-07-13 14:39 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
CVE-2017-8343_memory-leak-in-ReadAAIImage-6_aai_testcase (48.01 KB, application/octet-stream)
2017-04-30 19:51 UTC, Mikhail Kasimov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail Kasimov 2017-04-30 19:51:39 UTC
Created attachment 723251 [details]
CVE-2017-8343_memory-leak-in-ReadAAIImage-6_aai_testcase

Ref: https://nvd.nist.gov/vuln/detail/CVE-2017-8343
====================================================
Description

In ImageMagick 7.0.5-5, the ReadAAIImage function in aai.c allows attackers to cause a denial of service (memory leak) via a crafted file.

Source:  MITRE      Last Modified:  04/30/2017
====================================================

Hyperlink

[1] https://github.com/ImageMagick/ImageMagick/issues/444

[2] Testcase: https://github.com/bestshow/p0cs/blob/master/memory-leak-in-ReadAAIImage-6.aai

[3] https://github.com/ImageMagick/ImageMagick/commit/448492b929894ecbfb1007c3cee5c45ce9c6cba3 (master)

[4] https://github.com/ImageMagick/ImageMagick/commit/c52b177e0cb11c896b8cc9525a3184c5c0f322c3 (ImageMagick-6)


(open-)SUSE: https://software.opensuse.org/package/ImageMagick

7.0.5.4 (TW, official repo)
6.8.8.1 (42.{1,2}, official repo)
Comment 1 Petr Gajdos 2017-05-09 12:53:20 UTC
GraphicsMagick and 11/ImageMagick does not have AAI decoder.
Comment 2 Petr Gajdos 2017-05-09 13:19:35 UTC
BEFORE

$ valgrind --leak-check=full identify memory-leak-in-ReadAAIImage-6.aai
[..]
==21124== ERROR SUMMARY: 1 errors from 1 contexts (suppressed: 0 from 0)
$

AFTER

$ valgrind --leak-check=full identify memory-leak-in-ReadAAIImage-6.aai
[..]
==21218== ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0)
$
Comment 3 Petr Gajdos 2017-05-09 13:19:51 UTC
Affected: 12/ImageMagick
Comment 4 Petr Gajdos 2017-05-17 15:13:00 UTC
I believe all fixed.
Comment 8 Swamp Workflow Management 2017-06-06 16:12:08 UTC
SUSE-SU-2017:1489-1: An update that fixes 27 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1028075,1033091,1034870,1034872,1034876,1036976,1036977,1036978,1036980,1036981,1036982,1036983,1036984,1036985,1036986,1036987,1036988,1036989,1036990,1036991,1037527,1038000,1040025,1040303,1040304,1040306,1040332
CVE References: CVE-2017-6502,CVE-2017-7606,CVE-2017-7941,CVE-2017-7942,CVE-2017-7943,CVE-2017-8343,CVE-2017-8344,CVE-2017-8345,CVE-2017-8346,CVE-2017-8347,CVE-2017-8348,CVE-2017-8349,CVE-2017-8350,CVE-2017-8351,CVE-2017-8352,CVE-2017-8353,CVE-2017-8354,CVE-2017-8355,CVE-2017-8356,CVE-2017-8357,CVE-2017-8765,CVE-2017-8830,CVE-2017-9098,CVE-2017-9141,CVE-2017-9142,CVE-2017-9143,CVE-2017-9144
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP2 (src):    ImageMagick-6.8.8.1-70.1
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    ImageMagick-6.8.8.1-70.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    ImageMagick-6.8.8.1-70.1
SUSE Linux Enterprise Server 12-SP2 (src):    ImageMagick-6.8.8.1-70.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    ImageMagick-6.8.8.1-70.1
Comment 9 Swamp Workflow Management 2017-06-14 13:11:49 UTC
openSUSE-SU-2017:1560-1: An update that fixes 27 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1028075,1033091,1034870,1034872,1034876,1036976,1036977,1036978,1036980,1036981,1036982,1036983,1036984,1036985,1036986,1036987,1036988,1036989,1036990,1036991,1037527,1038000,1040025,1040303,1040304,1040306,1040332
CVE References: CVE-2017-6502,CVE-2017-7606,CVE-2017-7941,CVE-2017-7942,CVE-2017-7943,CVE-2017-8343,CVE-2017-8344,CVE-2017-8345,CVE-2017-8346,CVE-2017-8347,CVE-2017-8348,CVE-2017-8349,CVE-2017-8350,CVE-2017-8351,CVE-2017-8352,CVE-2017-8353,CVE-2017-8354,CVE-2017-8355,CVE-2017-8356,CVE-2017-8357,CVE-2017-8765,CVE-2017-8830,CVE-2017-9098,CVE-2017-9141,CVE-2017-9142,CVE-2017-9143,CVE-2017-9144
Sources used:
openSUSE Leap 42.2 (src):    ImageMagick-6.8.8.1-30.3.1
Comment 10 Marcus Meissner 2017-06-20 07:24:17 UTC
released